aboutsummaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2015-04-21 13:18:40 +0000
committerJohn Crispin <john@openwrt.org>2015-04-21 13:18:40 +0000
commitacf74d9b6ae3b1e8d73f8b376da1299504483ae2 (patch)
treec09a829a2a54b49bfbc49cd5944625e4745120e5 /package
parent03dd7b6bdb4706392389c27345f3787974a50289 (diff)
downloadupstream-acf74d9b6ae3b1e8d73f8b376da1299504483ae2.tar.gz
upstream-acf74d9b6ae3b1e8d73f8b376da1299504483ae2.tar.bz2
upstream-acf74d9b6ae3b1e8d73f8b376da1299504483ae2.zip
umbim: auto retry when bringup fails
Signed-off-by: John Crispin <blogic@openwrt.org> SVN-Revision: 45555
Diffstat (limited to 'package')
-rwxr-xr-xpackage/network/utils/umbim/files/lib/netifd/proto/mbim.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh b/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
index 461e5fa20c..db0c7b0c3c 100755
--- a/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
+++ b/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
@@ -19,7 +19,7 @@ proto_mbim_init_config() {
proto_config_add_string password
}
-proto_mbim_setup() {
+_proto_mbim_setup() {
local interface="$1"
local tid=2
local ret
@@ -140,6 +140,20 @@ proto_mbim_setup() {
ubus call network add_dynamic "$(json_dump)"
}
+proto_mbim_setup() {
+ local ret
+
+ _proto_mbim_setup $@
+ ret=$?
+
+ [ "$ret" = 0 ] || {
+ logger "mbim bringup failed, retry in 15s"
+ sleep 15
+ }
+
+ return $rt
+}
+
proto_mbim_teardown() {
local interface="$1"